Main Page Widgets Namespaces Book

# Glib::SignalIdle Class Reference
[The Main Event Loop]

List of all members.

## Public Member Functions
SigC::Connection | connect (const SigC::Slot0<bool>& slot, int priority=PRIORITY_DEFAULT_IDLE)
| Connects an idle handler.

## Member Function Documentation

SigC::Connection Glib::SignalIdle::connect | ( | const SigC::Slot0<bool>& | slot,
|  | int | priority = PRIORITY_DEFAULT_IDLE
| ) |

| Connects an idle handler.
     Glib::signal_idle().connect(SigC::slot(&idle_handler));
is equivalent to:
     const Glib::RefPtr<Glib::IdleSource> idle_source = Glib::IdleSource::create();
     idle_source->connect(SigC::slot(&idle_handler));
     idle_source->attach(Glib::MainContext::get_default());
  Parameters:
  slot | A slot to call when the main loop is idle.
  priority | The priority of the new event source.
Returns: A connection handle, which can be used to disconnect the handler.

The documentation for this class was generated from the following file:

- glib/glibmm/main.h